
import 'dart:io';

import 'package:flutter/material.dart';
import 'package:image_picker/image_picker.dart';
import 'package:multi_image_view/full_image_view.dart';
import 'package:multi_image_view/models/ImageModel.dart';

class MultiImageContoller extends ChangeNotifier{
final  ImagePicker _imagePicker=ImagePicker();

final List<ImageModel> _imageList=[];
  List<ImageModel> get imageList => _imageList;


  addImage(ImageModel imageModel){
    _imageList.add(imageModel);
  }

 Future<ImageModel?> pickImage()async{
   var file= await _imagePicker.pickImage(source: ImageSource.gallery);
   if(file!=null){
     ImageModel imageModel=ImageModel(imageFile: File(file.path),base64String: file.readAsBytes().toString());
     addImage(imageModel);
     notifyListeners();
    return imageModel;
   }
   return null;

  }

  showFullImage(File file,BuildContext context){
    Navigator.push(
      context,
      MaterialPageRoute(builder: (context) =>  FullImageView(imageFile: file)),
    );
  }
  delete(index){
    _imageList.removeAt(index);
    notifyListeners();
  }



}